1 2 3 4 5 6

Vulnerabilidades rss pdf

Coordinación de Seguridad de la Información - UNAM-CERT -- DGTIC-UNAM

Vulnerabilidad de Seguridad UNAM-CERT-2005-515 Debian liberó una actualización para Lynx.

Debian liberó una actualización para Lynx. Esta repara una vulnerabilidad que puede explotarse para comprometer el sistema de un usuario.

  • Fecha de Liberación: 27-Oct-2005
  • Ultima Revisión: 27-Oct-2005
  • Fuente:

    Debian Security Advisory
    DSA-874-1 lynx

  • CVE ID: CAN-2005-3120
  • Riesgo Altamente crítico
  • Problema de Vulnerabilidad Remoto
  • Tipo de Vulnerabilidad Buffer overflow

Sistemas Afectados

Debian GNU/Linux 3.0 alias woody Lynx 2.8.4.1b-3.3
Debian GNU/Linux 3.1 alias sarge Lynx 2.8.5-2Sarge1
  1. Descripción

    Debian liberó una actualización para Lynx. Esta repara una vulnerabilidad que puede explotarse por personas maliciosas para comprometer el sistema de un usuario.

    • Si se utiliza una URL NNTP, Lynx se conecta a un servidor NNTP y recupera información sobre artículos disponibles en el grupo de noticias seleccionado. Ulf Harnhammar encontró un desbordamiento de memoria en la función que maneja el escape de caracteres especiales. Un atacante podría levantar un servidor NNTP malicioso y engañar a un usuario para que lo accese utilizando Lynx. Los datos que entregue el servidor podrían activar el desbordamiento y ejecutar código arbitrario con los derechos del usuario que este utilizando Lynx.

      Ver:
      Buffer Overflow en 'HTrjis()' de Lynx.
      http://www.seguridad.unam.mx/vulnerabilidadesDB/?vulne=4848

  2. Impacto

    Acceso al sistema.

  3. Solución

    Aplicar los paquetes actualizados.

    -- Debian GNU/Linux 3.0 (woody)

    Código fuente:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.3.dsc
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.3.diff.gz
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b.orig.tar.gz

    Alpha:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.3_alpha.deb

    ARM:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.3_arm.deb

    Intel IA-32:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.3_i386.deb

    Intel IA-64:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.3_ia64.deb

    HPPA:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.3_hppa.deb

    Motorola 680x0:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.3_m68k.deb

    Big endian MIPS:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.3_mips.deb

    Little endian MIPS:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.3_mipsel.deb

    PowerPC:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.3_powerpc.deb

    IBM S/390:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.3_s390.deb

    Sun Sparc:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.3_sparc.deb

    -- Debian GNU/Linux 3.1 (sarge)

    Código fuente:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge1.dsc
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge1.diff.gz
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5.orig.tar.gz

    Alpha:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge1_alpha.deb

    AMD64:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge1_amd64.deb

    ARM:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge1_arm.deb

    Intel IA-32:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge1_i386.deb

    Intel IA-64:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge1_ia64.deb

    HPPA:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge1_hppa.deb

    Motorola 680x0:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge1_m68k.deb

    Big endian MIPS:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge1_mips.deb

    Little endian MIPS:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge1_mipsel.deb

    PowerPC:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge1_powerpc.deb

    IBM S/390:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge1_s390.deb

    Sun Sparc:
    http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge1_sparc.deb

  4. Apéndices

    Mayor información.

    http://www.debian.org/security/2005/dsa-874
    http://www.seguridad.unam.mx/vulnerabilidadesDB/?vulne=4848

La Coordinación de Seguridad de la Información/UNAM-CERT agradece el apoyo en la elaboración ó traducción y revisión de éste Documento a:

  • Floriberto López Velázquez (flopez at seguridad dot unam dot mx)

UNAM-CERT
Equipo de Respuesta a Incidentes UNAM
Coordinación de Seguridad de la Información

incidentes at seguridad.unam.mx
phishing at seguridad.unam.mx
http://www.cert.org.mx
http://www.seguridad.unam.mx
ftp://ftp.seguridad.unam.mx
Tel: 56 22 81 69
Fax: 56 22 80 47


Universidad Nacional Autonoma de México Aviso legal |  Créditos |  Staff |  Administración
Copyright © Todos los derechos reservados
UNAM - CERT